#ifndef SPIFRAME_H
#define SPIFRAME_H

#include <stdint.h>
#include "mxframe.h"

class SpiFrame
{
private:
    enum eColor {RED, GREEN, BLUE};
    bool LedCoordToPixel(const MxFrame &mxframe, int bitpos, int colorbit, enum eColor color, int column);
    bool PixelToLedCoord(int x, int y, enum eColor color);

public:
    SpiFrame();
    SpiFrame(const MxFrame& mxframe);
    uint16_t data[64 * 24];
    uint32_t length;
};

#endif // SPIFRAME_H
