#ifndef SPISENDER_H
#define SPISENDER_H

#include "spiframe.h"

class SpiSender
{
private:
    int readyPin;

public:
    SpiSender(int readyPin);
    int getReadyPin() const;
    bool sendFrame(const SpiFrame& frame) const;
    bool canSend() const;
};

#endif // SPISENDER_H
